
'use strict';

jQuery(document).ready(function($) {
    /* =========================================================
    1. Menu
    ============================================================ */
    /* Super fish */
    if( jQuery('.sf-menu').length ) {
        // Main menu
        jQuery('.sf-menu').superfish({
            delay: 200,
            speed: 'fast',
            cssArrows: true
        });

        jQuery('.sf-menu .menu-item-has-children').on('hover',function(){
            var $this           = jQuery(this),
                shareWrapOffset = jQuery(this).offset().left,
                wraplink        = jQuery(this).find('.sub-menu').width(),
                wrapperWidth    = jQuery('.wrapper').width(),
                wrapperOffset   = ( jQuery(window).width() - wrapperWidth ) / 2,
                newOffset       = Number( wrapperWidth ) + Number( wrapperOffset ),
                minus           = Number( newOffset ) - Number( shareWrapOffset );

            if( minus < wraplink ){
                jQuery(this).find('.sub-menu').addClass('pos-right');
            }
        });
    }

    /* Navgoco */
    if ( jQuery('#menu-mobile').length ) {
        jQuery(".navgoco .nav").navgoco();

        jQuery(".menu-mobile-wrap").each(function(){
            var thisIcon = jQuery(this);

            thisIcon.on('click', '.menu-mobile-icon',function() {
                jQuery(".navgoco .nav").toggleClass("active");
            });
        });
    };

    /* =========================================================
    2. Owl Carousel
    ============================================================ */
    if ( jQuery('.owl-wrapper').length ) {
        jQuery('.owl-wrapper').each(function() {
            // Control slider
            var $this              = jQuery(this),
                option             = $this.find('.owl-carousel'),
                _item              = option.data('slider-item'),
                _itemsDesktop      = option.data('item-desktop'),
                _itemsDesktopSmall = option.data('item-desktop-small'),
                _itemTablet        = option.data('item-tablet'),
                _itemsMobile       = option.data('item-mobile'),
                auto               = option.data('slider-auto'),
                navigation         = option.data('slider-navigation'),
                pagination         = option.data('slider-pagination'),
                owl                = option;

            if ( 1 == _itemTablet ) {
                _itemTablet = 1;
            } else {
                _itemTablet = 2;
            }

            owl.owlCarousel({
                items: _item,
                itemsDesktop: [1119, _itemsDesktop],
                itemsDesktopSmall: [992, _itemsDesktopSmall],
                itemsTablet: [768, _itemTablet],
                itemsMobile: [479, _itemsMobile],
                slideSpeed: 500,
                autoPlay: auto,
                navigation: navigation,
                pagination: pagination,
                stopOnHover: true,
                navigationText: false,
                addClassActive: true,
                // transitionStyle : "fade",
                afterInit: function() {
                    jQuery(".owl-wrapper .loading").hide();
                    jQuery('.widget-slider-2.style-2').find('.owl-item.active').first().css('border-left', 'transparent');
                },
                afterMove: function() {
                    jQuery('.widget-slider-2.style-2').find('.owl-item.active').first().css('border-left', 'transparent');
                }
            });

            // Custom Navigation Events
            $this.find(".next").on('click', function() {
                owl.trigger('owl.next');
            });

            $this.find(".prev").on('click', function() {
                owl.trigger('owl.prev');
            });
        });
    };

    if ( jQuery('.owl-sync-widget').length ) {
        jQuery('.owl-sync-widget').each(function() {

            var SyncThis   = jQuery(this),
                sync1      = SyncThis.find('.sync1'),
                sync2      = SyncThis.find('.sync2'),
                speed      = sync1.data('slider-speed'),
                auto       = sync1.data('slider-auto'),
                navigation = sync1.data('slider-navigation'),
                item       = sync1.data('slider-item');

            if (1 == auto) {
                auto = true;
            } else {
                auto = false;
            }

            if (1 == navigation) {
                navigation = true;
            } else {
                navigation = false;
            }

            sync1.owlCarousel({
                singleItem: true,
                slideSpeed: speed,
                autoPlay: auto,
                navigation: navigation,
                pagination: false,
                stopOnHover: true,
                navigationText: false,
                afterAction: syncPosition,
                responsiveRefreshRate: 200,
                transitionStyle : "fade"
            });

            sync2.owlCarousel({
                items: 6,
                itemsDesktop: [1199, 3],
                itemsDesktopSmall: [979, 3],
                itemsTablet: [767, 6],
                itemsMobile: [639, 4],
                navigation: false,
                stopOnHover: true,
                pagination: false,
                navigationText: false,
                responsiveRefreshRate: 100,
                afterInit: function(el) {
                    el.find(".owl-item").eq(0).addClass("synced");
                }
            });


            function syncPosition(el) {
                var current = this.currentItem;
                sync2.find(".owl-item").removeClass("synced").eq(current).addClass("synced");
                if (sync2.data("owlCarousel") !== undefined) {
                    center(current);
                }
            }
            sync2.on("click", ".owl-item", function(e) {
                e.preventDefault();
                var number = jQuery(this).data("owlItem");
                sync1.trigger("owl.goTo", number);
            });

            function center(number) {
                var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
                var num = number;
                var found = false;
                for (var i in sync2visible) {
                    if (num === sync2visible[i]) {
                        var found = true;
                    }
                }

                if (found === false) {
                    if (num > sync2visible[sync2visible.length - 1]) {
                        sync2.trigger("owl.goTo", num - sync2visible.length + 2)
                    } else {
                        if (num - 1 === -1) {
                            num = 0;
                        }
                        sync2.trigger("owl.goTo", num);
                    }
                } else if (num === sync2visible[sync2visible.length - 1]) {
                    sync2.trigger("owl.goTo", sync2visible[1])
                } else if (num === sync2visible[0]) {
                    sync2.trigger("owl.goTo", num - 1)
                }

            }
        });
    }

    /* =========================================================
    3. Search Box
    ============================================================ */
    if ( jQuery('.sb-search').length ) {
        new UISearch(document.getElementById('sb-search'));
    };

    /* =========================================================
    4. Match Height
    ============================================================ */

    if ( jQuery('#related-post').length ) {
        jQuery(function() {
            jQuery('.match-height').matchHeight();
        });
    };

    if ( jQuery('.shop-item').length ) {
        jQuery('.shop-item .entry-item').matchHeight();
    }

    /* =========================================================
    5. Back To Top
    ============================================================ */
    var offset = 300,
        offset_opacity = 1200,
        scroll_top_duration = 1000,
        back_to_top = jQuery('.cd-top');

    back_to_top.on('click', function(event) {
        event.preventDefault();
        jQuery('body,html').animate({
            scrollTop: 0
        }, scroll_top_duration);
    });

    /* =========================================================
    6. Collapse
    ============================================================ */
    (function($) {
        $.fn.accordion = function(options) {
            var defaults = {
                open: false,
                toggle: false
            }
            var settings = jQuery.extend({}, defaults, options);

            return this.each(function() {
                var accTitle = jQuery(this).children('.acc-title');

                accTitle.each(reset);

                // jQuery(this).children('.acc-title:first-child').addClass('active');
                // jQuery(this).children('.acc-title:first-child').next().show();

                jQuery(this).children('.acc-title').each(function() {
                    if (jQuery(this).hasClass('active')) {
                        jQuery(this).next().show();
                    }      
                });

                if(settings.toggle) {
                    accTitle.on('click',onClickTog);
                } else {
                    accTitle.on('click',onClickAcc);         
                }
            });

            function onClickAcc() {
                jQuery(this).siblings('.acc-title').removeClass('active');
                jQuery(this).addClass('active');

                jQuery(this).siblings('.acc-title').each(hide);
                jQuery(this).next().slideDown(400);
                return false;
            }

            function onClickTog() {   
                jQuery(this).toggleClass('active');

                if(jQuery(this).hasClass('active')) {
                    jQuery(this).next().slideDown(400);
                } else {
                    jQuery(this).next().slideUp(400);
                }
                return false;
            }

            function hide() {
                jQuery(this).next().slideUp(400);
            }

            function reset() {
                jQuery(this).next().hide();
            }
        }
    })(jQuery);

    jQuery('.kopa-accordion').each(function() {
        jQuery(this).accordion({
            toggle: false
        }); 
    });

    jQuery('.kopa-toggle').each(function() {
        jQuery(this).accordion({
            toggle: true
        }); 
    });

    /* =========================================================
    7. Google Map
    ============================================================ */
    var map;
    if ( jQuery('.kopa-map-box').length ) {
        jQuery('.kopa-map').each( function() {
            var $this  = jQuery(this),
                id_map = $this.attr('id'),
                lat    = parseFloat($this.data('latitude')),
                lng    = parseFloat($this.data('longitude')),
                place  = $this.data('place');

            if ( typeof GMaps != "undefined") {
                map = new GMaps({
                    el: '#' + id_map,
                    lat: lat,
                    lng: lng,
                    zoomControl: true,
                    zoomControlOpt: {
                        style: 'SMALL',
                        position: 'TOP_LEFT'
                    },
                    panControl: false,
                    streetViewControl: false,
                    mapTypeControl: false,
                    overviewMapControl: false,
                    scrollwheel: false,
                    styles: [{"featureType":"water","elementType":"geometry","stylers":[{"color":"#cadbe9"},{"lightness":0}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#dce4e9"},{"lightness":0}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#6f93b0"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#6f93b0"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]
                });
                map.addMarker({
                    lat: lat,
                    lng: lng,
                    title: place
                });
            }
        });
    }

    /* =========================================================
    8. Masonry Filter
    ============================================================ */
    if ( jQuery('.kopa-widget-portfolio').length ) {
        var container_01   = jQuery('.kopa-widget-portfolio .portfolio-container'),
            masonryOptions = {
                columnWidth: 1,
                itemSelector : '.list-item.show'
            };

        container_01.imagesLoaded(function() {
            var m_grid       = container_01.masonry( masonryOptions),
                m_filters_01 = jQuery('.kopa-widget-portfolio .filters-options li');

            m_filters_01.on('click', function(event) {
                event.preventDefault();

                m_filters_01.removeClass('active');
                jQuery(this).addClass('active');

                var m_filter_val = jQuery(this).data('filter');

                container_01.find('.list-item').each(function() {
                    var m_item_val = jQuery(this).data('filter-class').toString().split(','),
                        a          = m_item_val.indexOf(m_filter_val.toString()) > -1;

                    if ( m_filter_val == "*" ) {
                        jQuery(this).removeClass('hide');
                        jQuery(this).addClass('show');
                    } else {
                        if ( a == true) {
                            jQuery(this).removeClass('hide');
                            jQuery(this).addClass('show');  
                        } else {
                            jQuery(this).removeClass('show');
                            jQuery(this).addClass('hide');
                        }
                    }                               
                });
                container_01.masonry('layout');
            });
        });
    }

    /* =========================================================
    9. Validate Form
    ============================================================ */
    if ( jQuery('.contact-form').length ) {
        jQuery('.contact-form').validate({
            // Add requirements to each of the fields
            rules: {
                name: {
                    required: true,
                    minlength: 10
                },
                email: {
                    required: true,
                    email: true
                },
                web: {
                    required: true,
                    minlength: 10
                },
                message: {
                    required: true,
                    minlength: 15
                }
            },
            // Specify what error messages to display
            // when the user does something horrid
            messages: {
                name: {
                    required: "Please enter your name.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                email: {
                    required: "Please enter your email.",
                    email: "Please enter a valid email."
                },
                web: {
                    required: "Please enter your website.",
                    minlength: "Please enter a valid website url."
                },
                message: {
                    required: "Please enter a message.",
                    minlength: jQuery.format("At least {0} characters required.")
                }
            },
            // Use Ajax to send everything to processForm.php
            submitHandler: function(form) {
                jQuery("#submit-contact-1").attr("value", "Sending...");
                jQuery(form).ajaxSubmit({
                    success: function(responseText, statusText, xhr, jQueryform) {
                        jQuery("#response1").html(responseText).hide().slideDown("fast");
                        jQuery("#submit-contact-1").attr("value", "Submit");
                    }
                });
                return false;
            }
        });
    }

    if ( jQuery('.widget-form form').length ) {
        jQuery('.widget-form form').validate({
            // Add requirements to each of the fields
            rules: {
                name: {
                    required: true,
                    minlength: 10
                },
                email: {
                    required: true,
                    email: true
                },
                web: {
                    required: true,
                    minlength: 10
                },
                message: {
                    required: true,
                    minlength: 15
                }
            },
            // Specify what error messages to display
            // when the user does something horrid
            messages: {
                name: {
                    required: "Please enter your name.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                email: {
                    required: "Please enter your email.",
                    email: "Please enter a valid email."
                },
                phone: {
                    required: "Please enter your phone.",
                    url: "Please enter a valid phone."
                },
                message: {
                    required: "Please enter a message.",
                    minlength: jQuery.format("At least {0} characters required.")
                }
            },
            // Use Ajax to send everything to processForm.php
            submitHandler: function(form) {
                jQuery("#submit-comment-1").attr("value", "Sending...");
                jQuery(form).ajaxSubmit({
                    success: function(responseText, statusText, xhr, jQueryform) {
                        jQuery("#response2").html(responseText).hide().slideDown("fast");
                        jQuery("#submit-comment-1").attr("value", "Submit");
                    }
                });
                return false;
            }
        });
    }

    if ( jQuery('.kopa-respond form').length ) {
        jQuery('.kopa-respond form').validate({
            // Add requirements to each of the fields
            rules: {
                name_box: {
                    required: true,
                    minlength: 10
                },
                email_box: {
                    required: true,
                    email: true
                },
                web_box: {
                    required: true,
                    minlength: 10
                },
                message_box: {
                    required: true,
                    minlength: 15
                }
            },
            // Specify what error messages to display
            // when the user does something horrid
            messages: {
                name_box: {
                    required: "Please enter your name.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                email_box: {
                    required: "Please enter your email.",
                    email: "Please enter a valid email."
                },
                phone_box: {
                    required: "Please enter your phone.",
                    url: "Please enter a valid phone."
                },
                message_box: {
                    required: "Please enter a message.",
                    minlength: jQuery.format("At least {0} characters required.")
                }
            },
            // Use Ajax to send everything to processForm.php
            submitHandler: function(form) {
                jQuery("#submit-comment-1").attr("value", "Sending...");
                jQuery(form).ajaxSubmit({
                    success: function(responseText, statusText, xhr, jQueryform) {
                        jQuery("#response2").html(responseText).hide().slideDown("fast");
                        jQuery("#submit-comment-1").attr("value", "Submit");
                    }
                });
                return false;
            }
        });
    }

    if ( jQuery('.widget-book form').length ) {
        jQuery('.widget-book form').validate({
            // Add requirements to each of the fields
            rules: {
                name_book: {
                    required: true,
                    minlength: 10
                },
                last_name_book: {
                    required: true,
                    minlength: 10
                },
                email_book: {
                    required: true,
                    email: true
                },
                time_book: {
                    required: true,
                    minlength: 15
                },
                day_book: {
                    required: true,
                    minlength: 15
                },
                guest_number_book: {
                    required: true,
                    minlength: 15
                }
            },
            // Specify what error messages to display
            // when the user does something horrid
            messages: {
                name_book: {
                    required: "Please enter your name.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                last_name_book: {
                    required: "Please enter your name.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                email_book: {
                    required: "Please enter your email.",
                    email: "Please enter a valid email."
                },
                time_book: {
                    required: "Please enter a message.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                day_book: {
                    required: "Please enter a message.",
                    minlength: jQuery.format("At least {0} characters required.")
                },
                guest_number_book: {
                    required: "Please enter a message.",
                    minlength: jQuery.format("At least {0} characters required.")
                }
            },
            // Use Ajax to send everything to processForm.php
            submitHandler: function(form) {
                jQuery("#submit-comment-1").attr("value", "Sending...");
                jQuery(form).ajaxSubmit({
                    success: function(responseText, statusText, xhr, jQueryform) {
                        jQuery("#response2").html(responseText).hide().slideDown("fast");
                        jQuery("#submit-comment-1").attr("value", "Submit");
                    }
                });
                return false;
            }
        });
    }

    /* =========================================================
    10. Bx Slider
    ============================================================ */
    if ( jQuery('.kopa-slider-fortfolio').length ) {
        jQuery('.bxslider').bxSlider({
            pagerCustom: '.bxslider-thumb',
            mode: 'fade'
        });
    }
});

jQuery(document).on('mouseup', function (e) {
    var container = jQuery(".menu-mobile-wrap, .kopa-language");

    if (!container.is(e.target) && container.has(e.target).length === 0) {
        container.find('.nav, ul').removeClass('active');
    }
});

document.oncontextmenu = function(e){
var target = (typeof e !="undefined")? e.target: event.srcElement
if (target.tagName == "IMG" || (target.tagName == 'A' && target.firstChild.tagName == 'IMG'))
return false
}